Skip to main content
GET
/
cms
/
domains
/
2026-03
/
{domainId}
Get a single domain
curl --request GET \
  --url https://api.hubapi.com/cms/domains/2026-03/{domainId} \
  --header 'Authorization: Bearer <token>'
{
  "correctCname": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "domain": "<string>",
  "id": "<string>",
  "isResolving": true,
  "isSslEnabled": true,
  "isSslOnly": true,
  "isUsedForBlogPost": true,
  "isUsedForEmail": true,
  "isUsedForKnowledge": true,
  "isUsedForLandingPage": true,
  "isUsedForSitePage": true,
  "manuallyMarkedAsResolving": true,
  "primaryBlogPost": true,
  "primaryEmail": true,
  "primaryKnowledge": true,
  "primaryLandingPage": true,
  "primarySitePage": true,
  "secondaryToDomain": "<string>",
  "updated": "2023-11-07T05:31:56Z"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

domainId
string
required

Response

successful operation

correctCname
string
required

The expected CNAME record for the domain.

created
string<date-time>
required

The date and time when the domain was created.

domain
string
required

The actual domain or sub-domain. e.g. www.hubspot.com

id
string
required

The unique ID of this domain.

isResolving
boolean
required

Whether the DNS for this domain is optimally configured for use with HubSpot.

isSslEnabled
boolean
required

Indicates whether SSL is enabled for the domain.

isSslOnly
boolean
required

Indicates whether the domain is accessible only via SSL.

isUsedForBlogPost
boolean
required

Whether the domain is used for CMS blog posts.

isUsedForEmail
boolean
required

Whether the domain is used for CMS email web pages.

isUsedForKnowledge
boolean
required

Whether the domain is used for CMS knowledge pages.

isUsedForLandingPage
boolean
required

Whether the domain is used for CMS landing pages.

isUsedForSitePage
boolean
required

Whether the domain is used for CMS site pages.

manuallyMarkedAsResolving
boolean
required

Indicates whether the domain has been manually marked as resolving.

primaryBlogPost
boolean
required

Indicates whether the domain is the primary domain for blog posts.

primaryEmail
boolean
required

Indicates whether the domain is the primary domain for email pages.

primaryKnowledge
boolean
required

Indicates whether the domain is the primary domain for knowledge pages.

primaryLandingPage
boolean
required

Indicates whether the domain is the primary domain for landing pages.

primarySitePage
boolean
required

Indicates whether the domain is the primary domain for site pages.

secondaryToDomain
string
required

Specifies the domain to which this domain is secondary.

updated
string<date-time>
required

The date and time when the domain was last updated.

Last modified on April 13, 2026